Package org.eclipse.ui.internal

# Class ActionSetContributionItem

java.lang.Object
org.eclipse.jface.action.SubContributionItem
org.eclipse.ui.internal.ActionSetContributionItem

All Implemented Interfaces:
  `IContributionItem`, `IActionSetContributionItem`

public class ActionSetContributionItem extends SubContributionItem implements IActionSetContributionItem
This class marks a sub contribution item as belonging to an action set.

## Constructor Summary

Constructors
Constructor
Description
`ActionSetContributionItem(IContributionItem item, String actionSetId)`
Constructs a new item

## Method Summary

Modifier and Type
Method
Description
`String`
`getActionSetId()`
Returns the action set id.
`void`
`setActionSetId(String newActionSetId)`
Sets the action set id.
`String`
`toString()`

### Methods inherited from class org.eclipse.jface.action.SubContributionItem

`dispose, fill, fill, fill, fill, getId, getInnerItem, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setParent, setVisible, update, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ActionSetContributionItem

public ActionSetContributionItem(IContributionItem item, String actionSetId)
Constructs a new item

## Method Details

### getActionSetId

public String getActionSetId()
Returns the action set id.

Specified by:
  `getActionSetId` in interface `IActionSetContributionItem`

### setActionSetId

public void setActionSetId(String newActionSetId)
Sets the action set id.

Specified by:
  `setActionSetId` in interface `IActionSetContributionItem`

### toString

public String toString()

Overrides:
  `toString` in class `SubContributionItem`